/* CSS style for login & password blade (overwrite some default style) */

/* Background image & overlay */
.login-page,
.password-page {
    background: url('/images/image1.jpg') no-repeat center center fixed;
    background-size: cover;
    position: relative;
}
.login-page::before,
.password-page::before {
    content: "";
    position: fixed;
    top: 0; left: 0; right: 0; bottom: 0;
    background: rgba(0, 0, 0, 0.4); 
    z-index: -1;
}

/* Reset flex */
.login-page .nk-main, 
.password-page .nk-main {
    display: block !important;
    flex-direction: unset !important;
    align-items: unset !important;
    justify-content: unset !important;
}

/* Align in center */
.login-page .auth-center-wrapper, 
.password-page .auth-center-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

/* Card */
.login-page .card-auth, 
.password-page .card-auth {
    max-width: 600px;
    width: 100%;
    background: rgba(255, 255, 255, 0.95);
    border-radius: 1rem;
    padding: 1.5rem;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.8);
    transition: box-shadow 0.2s ease-in-out;
}
.login-page .card-auth .card-body, 
.password-page .card-auth .card-body {
    padding: 1rem 2.5rem 2.5rem 2.5rem;
}

/* Logo */
.login-page .logo-wrap, 
.password-page .logo-wrap {
    background: rgba(255, 255, 255, 0.7);
    padding: 1rem 1.5rem;
    border-radius: 1rem;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
    margin-bottom: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100px;     
    max-width: 100%;
    border: 1px solid rgba(30, 27, 75, 0.5);

}
.login-page .logo-wrap img, 
.password-page .logo-wrap img {
    max-height: 80px;
    width: auto;
    height: auto;
    display: block;
}

/* Form */
    /* Title */
    .login-page .nk-block-title, 
    .password-page .nk-block-title {
        font-weight: 900;
        font-size: 1.25rem;
        color: #1e1b4b;
        margin-bottom: 2.5rem;
        margin-top: 2rem;
    }

    /* Label */
    .login-page .form-label, 
    .password-page .form-label {
        font-weight: 500;
        font-size: 0.9rem; 
        color: #1e1b4b;
    }

    /* Input */
    .login-page .form-control, 
    .password-page .form-control {
        border-radius: 0.5rem;
        padding: 0.75rem 1rem;
        border: 1px solid #ccc;
        transition: border-color 0.2s ease;
    }
    .login-page .form-control:focus, 
    .password-page .form-control:focus {
        border-color: #3f3cbb;
        outline: none;
        box-shadow: 0 0 0 2px rgba(0, 123, 255, 0.1);
    }

    /* Button */
    .login-page .btn-primary, 
    .password-page .btn-primary {
        background-color: #1e1b4b;
        border-color: #1e1b4b;
        padding: 0.75rem 1.5rem;  
        font-size: 1rem;         
        font-weight: 600;
        border-radius: 0.5rem;
        transition: background-color 0.2s ease;
    }
    .login-page .btn-primary:hover, 
    .password-page .btn-primary:hover {
        background-color: #3f3cbb;
        border-color: #3f3cbb;
    }
    .password-page .col-3 .btn {
        margin-right: 2rem;
    }
    .password-page .col-3:last-child .btn {
        margin-left: 2rem;
    }

    /* Error message */
    .login-page .invalid-feedback, 
    .password-page .invalid-feedback {
        color: #dc3545;
        font-weight: 500;
        font-size: 0.85rem;
        margin-top: 0.25rem;
    }


